package services;

import entities.Account;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.context.annotation.Bean;
import org.springframework.security.crypto.bcrypt.BCryptPasswordEncoder;
import org.springframework.security.crypto.password.PasswordEncoder;
import org.springframework.stereotype.Service;
import repositories.AccountRepo;

@Service
public class AccountService {

    @Autowired
    private AccountRepo repo;

    @Bean
    public PasswordEncoder getPasswordEncoder(){
        return new BCryptPasswordEncoder();
    }

    public void save(Account account){
        account.setPassword(getPasswordEncoder().encode(account.getPassword()));
        repo.save(account);
    }

}
